<?php

/*
 * PAYPAL SUBSCRIPTION MANAGER
 *
 * @package PaypalSubscriptionManager
 * @author  Michael J. Pawlowsky <mikep@mi-software.com>
 * @copyright Copyright &copy; 2005, Ultimate Internet Marketing
 * @version $Id: Config.class.php,v 1.2 2005/09/07 21:14:13 mikep Exp $;
 *
 * Created: Wed Sep 07 07:02:00 EDT 2005 07:02:00
 * Last Modified: $Date: 2005/09/07 21:14:13 $
 * Revision: $Rev:$
 *
 */

class Paginate{

	var $total_count = 0;
	var $per_page    = 20;
	var $cur_page    = 0;
	var $qry_str     = '';
	var $url         = '';
	var $class       = 'paginate';
	var $form_name   = 'frmPaginate';
	var $select_name = 'paginate';


	function Paginate(){


	}


	function showLinks(){

		$links = '';

		// If we have a quesry string prepend a ampersand to it.
		if($this->qry_str != ''){
			$this->qry_str = '&amp;' . $this->qry_str;
		}

		// Of we do not need pagination return right away
        if ($this->total_count == 0 || $this->per_page == 0)
        {
           return('');
    	}

		// Total number of pages
		$num_pages = intval($this->total_count / $this->per_page);

		// Use modulus to see if our division has a remainder.
        // If so, add one to our page number
        if ($this->total_count % $this->per_page)
        {
            $num_pages++;
        }

        //If we only have one page bailout.
        if ($num_pages == 1)
        {
            return('');
        }

        $links .= $this->getJS();
		$links .= '<form id="' . $this->form_name . '" name="' . $this->form_name . '" action="javascript:gothere(this);" method="POST" class="' . $this->class . '">' . chr(10);

		if($this->cur_page > 2){
			// Make fistpage
			$links .= '<a href="' . $this->url . '?P=1' . $this->qry_str . '" class="' . $this->class . '">&laquo;</a>' . chr(10);
		}

		if($this->cur_page > 1){
			// Make Previous Page
			$links .= '&nbsp;<a href="' . $this->url . '?P=' . ($this->cur_page - 1) . $this->qry_str . '" class="' . $this->class . '">&lsaquo;</a>' . chr(10);
		}

		// Make Jump Select
		$links .= '&nbsp;<select name="' . $this->select_name . '" onChange="gothere(document.' . $this->form_name . ');" class="' . $this->class . '">' . chr(10);
        for($i=1; $i <= $num_pages; $i++){
        	$links .= '<option value="' . $this->url . '?P=' . $i . $this->qry_str . '"';
        	if($i == $this->cur_page) $links .= ' selected ';
        	$links .='>Page ' . $i . '</option>' . chr(10);
        }
        $links .= '</select>';

        if($this->cur_page < $num_pages){
        	// Make Next Page
			$links .= '&nbsp;&nbsp;<a href="' . $this->url . '?P=' . ($this->cur_page +1) . $this->qry_str . '" class="' . $this->class . '">&rsaquo;</a>' . chr(10);
        }

        if($this->cur_page < $num_pages - 1){
        	// Make Last Page
			$links .= '&nbsp;&nbsp;<a href="' . $this->url . '?P=' . $num_pages . $this->qry_str . '" class="' . $this->class . '">&raquo;</a>' . chr(10);
        }

		// Close the form
		$links .= '</form>' . chr(10);

		return ($links);
	}


	function getJS(){
		return <<< EOF
<script type="text/javascript">
function gothere(formid)
{
	var thisform = formid;

	if (thisform.paginate.options[thisform.paginate.options.selectedIndex].value != ''){
		location.href=thisform.paginate.options[thisform.paginate.options.selectedIndex].value;
	}
}
</script>

EOF;
	} // END;


}
?>